# norootforbuild

%define optflags ${RPM_OPT_FLAGS} -fno-strict-aliasing -D__STDC_CONSTANT_MACROS

Name:           k3b
BuildRequires:  cups-devel libkcddb4-devel ruby-devel sqlite-devel taglib-devel
BuildRequires:  libkcompactdisc4-devel libkdepimlibs4-devel tse3-devel update-desktop-files
BuildRequires:  gstreamer010-devel libmtp-devel libnjb-devel libvisual-devel libxine-devel
BuildRequires:  flac-devel libQtWebKit-devel libdvdread-devel libvorbis-devel
BuildRequires:  dbus-1-glib-devel libogg-devel libsamplerate-devel libsndfile-devel
BuildRequires:  libmpcdec-devel libmusicbrainz-devel
BuildRequires:  libffmpeg-devel libmad-devel libmp3lame-devel
BuildRequires:  fdupes
# only needed to patch broken images in the upstream tarball:
BuildRequires:  ImageMagick
Url:            http://k3b.sourceforge.net/
License:        GPL v2 or later
Group:          Productivity/Multimedia/CD/Record
Summary:        Universal CD and DVD Burning Application
Requires:       /usr/bin/cdrecord /usr/bin/mkisofs /usr/bin/cdrdao dvd+rw-tools
Version:        2.0.2
Release:        6.2
Source:         http://prdownloads.sourceforge.net/k3b/k3b-%{version}.tar.bz2
Patch1:         initial-preference.diff
Source99:       k3b-rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires 
Provides:       kde4-k3b = 4.2.1.svn942189
Provides:       kde4-k3b = 4.2.2.svn951754
Obsoletes:      kde4-k3b < 4.2.2.svn951754
Recommends:     %{name}-lang = %{version}

%description
K3b is a CD burning application that supports Ogg Vorbis, MP3 audio
files, DVD burning, CDDB, and much more.



Authors:
--------
    Sebastian Trueg <trueg@informatik.uni-freiburg.de>
    Thomas Froescher <tfroescher@gmx.de>

%package devel
License:        GPL v2 or later
Summary:        A Universal CD and DVD Burning Application
Group:          Development/Libraries/C and C++
Requires:       %name = %version

%description devel
K3b is a CD burning application that supports Ogg Vorbis, MP3 audio
files, DVD burning, CDDB, and much more.



Authors:
--------
    Sebastian Trueg <trueg@informatik.uni-freiburg.de>
    Thomas Froescher <tfroescher@gmx.de>


%package codecs
License:        GPL v2 or later
Summary:        A Universal CD and DVD Burning Application Build Environemnt
Group:          Productivity/Multimedia/CD/Record
Requires:       %name = %version
%kde4_runtime_requires

%description codecs
K3b is a CD burning application that supports Ogg Vorbis, MP3 audio
files, DVD burning, CDDB, and much more. This package contains its
build environment.




Authors:
--------
    Sebastian Trueg <trueg@informatik.uni-freiburg.de>
    Thomas Froescher <tfroescher@gmx.de>

%debug_package
%lang_package
%prep
%setup -q
%patch1 -p1
#for l in ast csb hne; do
#    %__rm -rf "po/$l"
#    %__sed -i "/add_subdirectory( $l )/d" po/CMakeLists.txt
#done

# patch image with wrong dimensions
pushd src/icons/actions
for f in hi16*.png; do
    geom=$(identify -ping "$f"|cut -f3 -d" ")
    x=${geom%x*}
    y=${geom#*x}
    if [ "$x" != "16" -o "$y" != "16" ]; then
        if [ "$x" -gt "$y" ]; then
            nugeom="${x}x${x}"
            grav=south
        elif [ "$x" -lt "$y" ]; then
            nugeom="${y}x${y}"
            grav=center
        else
            nugeom=""
        fi
        [ -n "$nugeom" ] && mogrify -extent "$nugeom" -background transparent -gravity "$grav" "$f"
        mogrify -scale 16x16 -background transparent "$f"
    fi
done
popd #src/icons/actions

#echo "find_package(Msgfmt REQUIRED)" >> CMakeLists.txt
#echo "find_package(Gettext REQUIRED)" >> CMakeLists.txt
#echo "add_subdirectory( po )" >> CMakeLists.txt
#echo "add_subdirectory( doc-translations )" >> CMakeLists.txt
#echo "add_subdirectory( doc )" >> CMakeLists.txt

%build
  %cmake_kde4 -d build -- -DK3B_BUILD_K3BSETUP=OFF
  %make_jobs

%install
  pushd build
  %makeinstall

  %__install -D -m0755 lib/k3bmaddecoder.so %buildroot/%_libdir/kde4/k3bmaddecoder.so

rm -rf %buildroot/usr/share/locale/sr@ijekavian
rm -rf %buildroot/usr/share/locale/sr@ijekavianlatin

  popd
  %suse_update_desktop_file -r k3b AudioVideo DiscBurning
  %kde_post_install
  %if %suse_version < 1120
    # work-around bnc#457908
    for i in uk fr de et nl pt es sv; do install -d "$RPM_BUILD_ROOT/usr/share/doc/kde/HTML/$i/common"; done
  %endif
  L="%{name}.lang"
  echo -n >"$L"
  # kio_videodvd
  for x in k3b k3bsetup libk3b libk3bdevice kio_videodvd; do
    %find_lang "$x" "_$x.lang"
    cat "_$x.lang" >>"$L"
  done

%fdupes -s "%{buildroot}%{_datadir}/doc/kde/HTML/"
%fdupes -s "%{buildroot}%{_datadir}/kde4/apps/"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%__rm -rf "%{buildroot}"

%files lang -f "%{name}.lang"

%files
%defattr(-,root,root)
%{_bindir}/k3b
%{_libdir}/kde4/k3b*.so
%exclude %_libdir/kde4/k3bffmpegdecoder.so
%exclude %_libdir/kde4/k3bflacdecoder.so
%exclude %_libdir/kde4/k3blameencoder.so
%exclude %_libdir/kde4/k3bmaddecoder.so
/usr/%_lib/kde4/kcm_k3b*.so
/usr/%_lib/kde4/kio_videodvd.so
/usr/%_lib/libk3blib.so.*
/usr/%_lib/libk3bdevice.so.*
/usr/share/applications/kde4/k3b.desktop
#/usr/share/icons/hicolor/*/apps/k3b.*
/usr/share/kde4/apps/k3b
/usr/share/kde4/apps/konqsidebartng/virtual_folders/services/videodvd.desktop
/usr/share/kde4/services/ServiceMenus/k3b_*
/usr/share/kde4/services/k3b*.desktop
/usr/share/kde4/services/kcm_k3b*.desktop
%exclude %_datadir/kde4/services/k3bffmpegdecoder.desktop
%exclude %_datadir/kde4/services/k3bflacdecoder.desktop
%exclude %_datadir/kde4/services/k3blameencoder.desktop
%exclude %_datadir/kde4/services/k3bmaddecoder.desktop
%exclude %_datadir/kde4/services/kcm_k3blameencoder.desktop
/usr/share/kde4/services/videodvd.protocol
/usr/share/kde4/servicetypes/k3bplugin.desktop
#/usr/share/sounds/k3b_*
/usr/share/mime/packages/x-k3b.xml
%dir /usr/share/kde4/apps/solid
%dir /usr/share/kde4/apps/solid/actions
/usr/share/kde4/apps/solid/actions/k3b_*.desktop
%{_datadir}/icons/*/*/apps/k3b.*
%if %suse_version < 1120
# work-around bnc#457911
%dir /usr/share/doc/kde/HTML/*
%dir /usr/share/locale/hne
%dir /usr/share/locale/hne/LC_MESSAGES
%endif

%files devel
%defattr(-,root,root)
/usr/include/k3b*
/usr/%_lib/libk3blib.so
/usr/%_lib/libk3bdevice.so

%files codecs
%defattr(-,root,root)
%_libdir/kde4/k3bffmpegdecoder.so
%_libdir/kde4/k3bflacdecoder.so
%_libdir/kde4/k3blameencoder.so
%_libdir/kde4/k3bmaddecoder.so
%_datadir/kde4/services/k3bffmpegdecoder.desktop
%_datadir/kde4/services/k3bflacdecoder.desktop
%_datadir/kde4/services/k3blameencoder.desktop
%_datadir/kde4/services/k3bmaddecoder.desktop
%_datadir/kde4/services/kcm_k3blameencoder.desktop

%changelog
